•   
  • 1
  • 192
  • 193
  • 194(current)
  • 195
  • 196
  • 199
  •   
Release Netflix Add-on [input-stream]
Sorry , had a silly self error , Igonre Plz
Reply
Is there a way to change the language that is Kodi using to add Movies and Series to the library from this Netflix addon?
Is there maybe a bug? It kinda looks like that its not respecting the setting for my language.
Amazon, etc works fine.

RPI4
Libreelec 11
Addon latest version

Regards
Xe-no
Reply
(2022-01-15, 13:10)leonvent Wrote: Netflix use avchigh code with low bitrate on most platforms, including this add-on with shield tv. Is there a way to get AVC code ?  In most content, AVC code has higher bitrate on Netflix.

Netflix 开始在大部分平台使用avc high编码,包括运行这个插件的shield tv。是否可以切换到码率更高的avc编码? 通常netflix的avc编码有更高的码率。

Please forgive my poor English.

很抱歉我英语不是很好。

AVC is H.264 and is the default old video codec,
if supported is preferible always enable VP9 and/or HEVC codec

the reason is that an AVC stream to achieve the same video quality of VP9/HEVC require more bitrate
the higher bitrate in a AVC stream not means better images, means that AVC has worse video compression

Image

if instead you want choose a stream with lower bitrate instead higher bitrate,
then you have to change bitrate settings in InputStream Adaptive addon
but remember that this will affect all addons that use this component
Dev-Maintainer of Netflix add-on ▫ Skills Python, C#, VB.NET and a bit of C++
Reply
(2022-01-18, 21:00)Xe-no Wrote: Is there a way to change the language that is Kodi using to add Movies and Series to the library from this Netflix addon?
Is there maybe a bug? It kinda looks like that its not respecting the setting for my language.
Amazon, etc works fine.

RPI4
Libreelec 11
Addon latest version

Regards
Xe-no
Depends on your Kodi audio language setting

Kodi audio setting <---------> Netflix addon meaning
Media default == will be used the language set in the current netflix profile selected
Original language == will be selected the original movie language of the played movie
User interface language == depends on the GUI language set
any other language name == respect the language set or if missing fallback to the original movie language
Dev-Maintainer of Netflix add-on ▫ Skills Python, C#, VB.NET and a bit of C++
Reply
Just in case anyone else was having this particular issue I wanted to post something about it. I've been racking my brain trying to get it to work when it seemed like everyone else's installs were fine again.

I know there was an issue with 24p not working on ARM devices, the Pi4 in my case. I tried everything, changed LibreELEC versions, tried different versions of the addon, change the MSL manifest version, etc. But in the end what did it was setting Kodi's default resolution to 1080p, then 24p started working again. I usually keep it at my TV's native res of 768p, but for whatever reason with the addon that was keeping it from switching to 1080p/24 like it usually would. The playback of everything else seemed fine. But everything works now.

So at least in my case LibreELEC 10.0.1 and the current Netflix addon work perfectly (1080p 24hz playback) as long as my Pi4's resolution is set to 1080p by default.
Reply
Plugin works great, but im stuck on a S905 tv box with Leia.
The only thing that does not work is Search the following error in the Kodi.log

Plugin version v.1.12.8-Leia

kodi.log

[Update - Solved]
As the error is complaining about no search table I looked into the plugin files and extracted the create search table query.

CREATE TABLE search (ID INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,Guid TEXT NOT NULL REFERENCES profiles (Guid) ON DELETE CASCADE ON UPDATE CASCADE,Type TEXT NOT NULL,Value TEXT NOT NULL,Parameters TEXT,LastAccess TEXT);

The sqlite3 databases are located in the /.kodi/userdata/addon_data/plugin.video.netflix/database folder

ssh into the box
using sqlite3 
.open nf_local.sqlite3
Create the search table
.open nf_shared.sqlite3
create the search table.

After creating the missing search table search now works. I initially only created the table in the shared database file but it did not fix the issue so created it in the local db as well and then it worked.
.table if you want to check what tables are present in the file.
Reply
(2022-01-19, 18:21)CastagnaIT Wrote: AVC is H.264 and is the default old video codec,
if supported is preferible always enable VP9 and/or HEVC codec

the reason is that an AVC stream to achieve the same video quality of VP9/HEVC require more bitrate
the higher bitrate in a AVC stream not means better images, means that AVC has worse video compression

Image

if instead you want choose a stream with lower bitrate instead higher bitrate,
then you have to change bitrate settings in InputStream Adaptive addon
but remember that this will affect all addons that use this component
What he meant was that he wanted Netflix Add-On to provide similar functionality to that of this Microsoft Edge plugin.
That is, to force Netflix to provide AVC Main encoded video streams instead of AVC High video streams. And it seems that VP9 video streaming can be disabled by turning off VP9 within the Expert settings? I don't know, I'm not aware of Netflix offering VP9 video streaming.
Perhaps this edge browser plugin fork currently forces AVC Main video streaming to play properly.
I cannot determine the video quality of Netflix AVC Main and AVC High. There are some users who claim that AVC Main has higher picture quality. Of course I think the more advanced video encoding will win out over time.
Also have you continued to follow Netflix AV1 lately? Of course I know it requires DASH CBCS support and ISA doesn't support it yet.
Reply
Hey, so the addon was working fine up until yesterday. I am now receiving MSL Error when I try to play something. I went through all the steps with no success. I am using this on Kodi 18.7 Leia on a RetroPie. I included the section of the log that has the error:

https://pastebin.com/FDL8H94T
Reply
(2022-01-31, 19:03)jgoodwi3232 Wrote: Hey, so the addon was working fine up until yesterday. I am now receiving MSL Error when I try to play something. I went through all the steps with no success. I am using this on Kodi 18.7 Leia on a RetroPie. I included the section of the log that has the error:

https://pastebin.com/FDL8H94T
I was getting the same error last week.

To fix it I went into the addon settings->Expert and changed "MSL Manifest Version" from "Version 1" to "default".

Click OK.
Reply
Kodi 18 has no option to change MSL Manifest Version in addon configuration Netflix
Reply
Unfortunately, I also don’t see this option in the settings. I’m still running into this error even after uninstalling, updating widevine, and logging out/in.
Reply
Those with the MSL error with Kodi 18, try replacing the file resources/lib/services/msl/msl_handler.py with this new one:
https://github.com/Paco8/plugin.video.ne...handler.py

At least this fixed the problem for me.

It only changes two lines:

--- msl_handler.py.orig    2022-02-02 10:45:03.567218417 +0100
+++ msl_handler.py    2022-02-02 10:46:02.451746262 +0100
@@ -182,7 +182,8 @@
 
         params = {
             'type': 'standard',
-            'viewableId': [viewable_id],
+            'manifestVersion': 'v2',
+            'viewableId': viewable_id,
             'profiles': profiles,
             'flavor': 'PRE_FETCH',
             'drmType': 'widevine',
Reply
On Kodi 18 there is no "MSL Manifest Version" setting, because already use the old version 1

due to the recent netfx changes there are several problem in order to fix in appropriate way "This title is not available to watch instantly." error
that affect also the Kodi 19/20 addon version, this require also changes on Kodi components

ATM i cannot test but if really the version 1 not work anymore, then on Kodi 18 it will be mandatory to upgrade to version 2,
which will not be possible to implement properly due to old Kodi components,
therefore will no longer be possible to achieve HD resolutions at least for ARM DEVICES like RPI, i do not know what will happens on other systems

there is a lot of work to do, ATM i do not have time
perhaps next week or later
Dev-Maintainer of Netflix add-on ▫ Skills Python, C#, VB.NET and a bit of C++
Reply
Update: it seems the problem can be fixed just changing the viewableId line.
I guess in this case we're still using version 1.


--- msl_handler.py.orig    2022-02-02 10:45:03.567218417 +0100
+++ msl_handler.py    2022-02-02 12:15:37.920057323 +0100
@@ -182,7 +182,7 @@
 
         params = {
             'type': 'standard',
-            'viewableId': [viewable_id],
+            'viewableId': viewable_id,
             'profiles': profiles,
             'flavor': 'PRE_FETCH',
             'drmType': 'widevine',

Reply
(2022-02-02, 13:09)Paco8 Wrote: Update: it seems the problem can be fixed just changing the viewableId line.

I can confirm this works. You do need to reboot your system, or maybe just restart Kodi, for it to take effect though.
Reply
  •   
  • 1
  • 192
  • 193
  • 194(current)
  • 195
  • 196
  • 199
  •   



Logout Mark Read Team Forum Stats Members Help
Netflix Add-on [input-stream]14
This forum uses Lukasz Tkacz MyBB addons.